package n4e.rockthrow.list;

/**
 * The <CODE>Element</CODE> class en element for simulating a thrown rock.
 * description: RockThrow.
 * copyright: (c) 2017 thomas kaffka, born 11/08/1959 in dsseldorf - germany , all rights reserved.
 * @author thomas kaffka, cologne , germany.
 * @version 20.02.2017 14:36:59
 * @since 0.1
 */
public class Element {

	private double velocity;
	private double angle;
	private double width;
	private double time;
	
	/**
	 * The constructor <CODE>Element</CODE> creates a new instance(object)
	 * of the class.
	 * @since 0.1
	 */
	public Element(double velocity, double angle, double width, double time) {
		this.velocity = velocity;
		this.angle = angle;
		this.width = width;
		this.time = time;
	}
	
	public double getVelocity() {
		return velocity;
	}
	
	public double getAngle() {
		return angle;
	}

	public double getWidth() {
		return width;
	}

	public double getTime() {
		return time;
	}
}
