package n4e.expertanddecision.list;

import java.util.ArrayList;

public class DiseaseElement {

	private String name;
	private String sciname;
	private double prior;
	private ArrayList<RuleProbability> rp_list;
	
	public DiseaseElement(String name, String sciname, double prior) {
		this.name = name;
		this.sciname = sciname;
		this.prior = prior;
		rp_list = new ArrayList<RuleProbability>();
	}
	
	public String getName() {
		return name;
	}
	
	public String getSciName() {
		return sciname;
	}

	public double getPrior() {
		return prior;
	}

	public ArrayList<RuleProbability> getProbabilityList() {
		return rp_list;
	}
}
