package de.perzeptron.tool;

import n4e.core.tool.Tool4DbMessages;

/**
 * The <CODE>Tool4PMessage</CODE> class  provides messages for the application.
 * <P><B>title: Perzeptron</B></P>
 * <P>description: </P>
 * <P>copyright: (c) 2017 thomas kaffka, born at 11/08/1959 in dsseldorf - germany , all rights reserved.</P>
 * @author thomas kaffka , mba , cologne , germany.
 * @version 10.02.2017 09:02:09
 * @since 0.1
 */

public class Tool4PMessage {

    private String language_code = null;

    /**
	 * The constructor <CODE>Tool4PMessage</CODE> creates a new instance(object) of the class.
	 * @param language_code the language code.
	 * @since 0.1
	 */
	public Tool4PMessage(String language_code) {
        this.language_code = language_code;
	}

    /**
     * The method <CODE>getMessages</CODE> gets the messages of the language.
     * @return the message object.
     * @since 0.1
   */
    public Tool4DbMessages getMessages() {
        Tool4DbMessages mess = null;
        if (language_code.equals("de")) {
            mess = new Tool4PMessages_de();
        } else if (language_code.equals("en")) {
            mess = new Tool4PMessages_en();
        }
        return mess;
    }
}

