package n4e.core.list;

/**
 * The <CODE>Context</CODE> class holds values of the context value and the rule, if available.
 * <P><B>title: SystemCoreExpLib</B></P>
 * <P>description: </P>
 * <P>copyright: (c) 2013 thomas kaffka, born at 11/08/1959 in dsseldorf - germany , all rights reserved.</P>
 * @author thomas kaffka , cologne , germany.
 * @version 21.02.2013 16:10:45
 * @since 1.0
 */

public class Context {

	public String value;
	public long rule;
	
	/**
	 * The constructor <CODE>Context</CODE> creates a new instance(object) of the class.
	 * @param value the value of the attribute.
	 * @param rule the involved rule, if available. if not = -1.
	 * @since 1.0
	 */
	public Context(String value, long rule) {
		this.value = value;
		this.rule = rule;
	}

}

